Get parcel machine locations
GET https://delivery-api.paysera.com/rest/v1/parcel-machines
Fetch parcel locker/machine locations with optional filtering.
Returns locations with coordinates (latitude/longitude) and location names.
Filtering Options​
- City
- Country
- Shipment gateway code
Pagination​
Same as post-offices endpoint.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, please refer to the Authentication section.
Parameters​
Query Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
city | string | Filter by city name | |
country | string | Filter by country code | |
shipment_gateway_code | string | Filter by gateway code | |
limit | integer | Maximum number of results | |
offset | integer | Number of results to skip | |
after | string | Cursor for pagination (after) | |
before | string | Cursor for pagination (before) |
Example​
Request​
GET https://delivery-api.paysera.com/rest/v1/parcel-machines?city=Vilnius&country=LT&shipment_gateway_code=omniva&limit=20&offset=value&after=value&before=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"_metadata": {
"total": 50,
"offset": 0,
"limit": 20,
"has_next": true,
"has_previous": false
},
"parcel_machines": [
{
"id": "pm_456",
"name": "Omniva Parcel Machine - Akropolis",
"city": "Vilnius",
"country": "LT",
"address": "Ozo g. 25",
"postal_code": "08217",
"latitude": 54.7104,
"longitude": 25.2615,
"gateway_code": "omniva"
},
{
"id": "pm_457",
"name": "Omniva Parcel Machine - Panorama",
"city": "Vilnius",
"country": "LT",
"address": "Saltoniškių g. 9",
"postal_code": "08105",
"latitude": 54.6892,
"longitude": 25.2522,
"gateway_code": "omniva"
}
]
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://delivery-api.paysera.com
Query Parameters
cityFilter by city name
countryFilter by country code
shipment_gateway_codeFilter by gateway code
limitMaximum number of results
offsetNumber of results to skip
afterCursor for pagination (after)
beforeCursor for pagination (before)
RESPONSE
Parcel machines retrieved successfully
{
"_metadata": {
"total": 50,
"offset": 0,
"limit": 20,
"has_next": true,
"has_previous": false
},
"parcel_machines": [
{
"id": "pm_456",
"name": "Omniva Parcel Machine - Akropolis",
"city": "Vilnius",
"country": "LT",
"address": "Ozo g. 25",
"postal_code": "08217",
"latitude": 54.7104,
"longitude": 25.2615,
"gateway_code": "omniva"
},
{
"id": "pm_457",
"name": "Omniva Parcel Machine - Panorama",
"city": "Vilnius",
"country": "LT",
"address": "Saltoniškių g. 9",
"postal_code": "08105",
"latitude": 54.6892,
"longitude": 25.2522,
"gateway_code": "omniva"
}
]
}